#container {
    position: relative;
    overflow: clip;
    padding: 16px 0;
    width: 80%;
    height: 100%;
}

#toggleBtn {
    display: none;
}

#heading,
#startCam,
#toggleBtn {
    position: absolute;
    z-index: 2;
    left: 50%;
    padding: 5px 15px;
    background-color: rgba(255, 255, 255, 0.804);
    border-radius: 20px;
    transform: translateX(-50%);
}

#heading {
    top: 10px;
    font-family: 'Anurati', sans-serif;
}

#webcamStream {
    position: absolute;
    overflow: clip;
    width: 88%;
    height: 90%;
    left: 50%;
    background-color: rgb(38, 37, 37);
    transform: translateX(-50%) scaleX(-1);
    box-shadow: 0 0 15px -8px black;
    top: 18px;
    border-radius: 15px;
    border: 2px solid rgb(255, 204, 50);
}

#startCam:hover {
    box-shadow: 0 0 26px -4px rgb(72, 255, 65);
}

#startCam {
    transition: box-shadow 0.3s ease;
    cursor: pointer;
    bottom: 25px;
    border-radius: 50%;
    width: 50px;
    height: 50px;
    border-style: none;
    background-image: url('./icon.png');
    background-repeat: none;
    background-position: center;
    background-size: contain;
}

body {
    font-family: 'Blanka', sans-serif;
    display: flex;
    align-items: center;
    justify-content: center;
    overflow: clip;
    margin: 0;
    padding: 0;
    height: 100dvh;
    width: 100vw;
}

.highlighter {
    position: relative;
    z-index: 10;
    border-radius: 25px;
    overflow: clip;
    transition: all 0.1s;
    border: 3px solid rgb(28, 41, 28);
}

p {
    position: absolute;
    z-index: 11;
    white-space: nowrap;
    font-size: x-small;
    color: white;
    background-color: rgb(35, 35, 35);
    padding: 6px 6px;
    border-radius: 10px;
}

@media screen and (max-width:1200px) {
    #toggleBtn {
        display: inline-block;
        border-style: none;
        bottom: 20px;
        font-weight: 900;
        cursor: pointer;
        background-color: rgb(205, 205, 205);
        box-shadow: 0 5px 18px -8px rgb(8, 8, 8);
        transition: background-color 0.3s ease, border 0.1s ease-in,
            transform 0.1s ease-in-out;
    }

    #toggleBtn:hover {
        background-color: black;
        border: 2px solid white;
        color: white;
        transform: translate(-50%, -2px);
    }

    #webcamStream {
        top: 50%;
        transform: translate(-50%, -50%) scaleX(-1);
        height: 100%;
        z-index: -2;
    }

    #heading {
        top: 0px;
        position: fixed;
    }

    #container {
        height: 80%;
        width: 100%;
    }
}